package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

import java.util.Date;

/**
 * 快照实体类
 *
 * @author hufy
 *
 */
@Table("snapshot_backup")
public class SnapshotBackup extends GenericEntity {

	@PK(value = PKStrategy.AUTO)
	private Long id ;
	@Column("name")
	private String name ;
	@Column("snapshot_id")
	private Long snapshotId ;
	@Column("snapshot_uuid")
	private String snapshotUuid ;
	@Column("backup_uuid")
	private String backupUuid ;
	@Column("volume_id")
	private Long volumeId ;
	@Column("volume_uuid")
	private String volumeUuid ;
	@Column("volume_name")
	private String volumeName ;
	@Column("create_time")
	private Date createTime;


	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	@Override
	public String getName() {
		return name;
	}

	@Override
	public void setName(String name) {
		this.name = name;
	}

	public Long getSnapshotId() {
		return snapshotId;
	}

	public void setSnapshotId(Long snapshotId) {
		this.snapshotId = snapshotId;
	}

	public String getSnapshotUuid() {
		return snapshotUuid;
	}

	public void setSnapshotUuid(String snapshotUuid) {
		this.snapshotUuid = snapshotUuid;
	}

	public String getBackupUuid() {
		return backupUuid;
	}

	public void setBackupUuid(String backupUuid) {
		this.backupUuid = backupUuid;
	}

	public Long getVolumeId() {
		return volumeId;
	}

	public void setVolumeId(Long volumeId) {
		this.volumeId = volumeId;
	}

	public String getVolumeUuid() {
		return volumeUuid;
	}

	public void setVolumeUuid(String volumeUuid) {
		this.volumeUuid = volumeUuid;
	}

	public String getVolumeName() {
		return volumeName;
	}

	public void setVolumeName(String volumeName) {
		this.volumeName = volumeName;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
}
